Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UICalendar.Properties

    java.lang.Object
      java.lang.Enum<UICalendar.Properties>
          org.richfaces.component.UICalendar.Properties

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<UICalendar.Properties>

Enclosing class:
  UICalendar

    protected static enum UICalendar.Properties

extends java.lang.Enum<UICalendar.Properties>

Enum Constant Summary
`boundaryDatesMode`
`buttonClass`
`buttonDisabledIcon`
`buttonIcon`
`buttonLabel`
`currentDate`
`dataModel`
`datePattern`
`dayClassFunction`
`dayDisableFunction`
`defaultLabel`
`defaultTime`
`direction`
`disabled`
`enableManualInput`
`firstWeekDay`
`horizontalOffset`
`inputClass`
`inputSize`
`inputStyle`
`jointPoint`
`minDaysInFirstWeek`
`mode`
`monthLabels`
`monthLabelsShort`
`onbeforecurrentdateselect`
`onbeforedateselect`
`onbeforetimeselect`
`onchange`
`onclean`
`oncomplete`
`oncurrentdateselect`
`ondatemouseout`
`ondatemouseover`
`ondateselect`
`onhide`
`oninputblur`
`oninputchange`
`oninputclick`
`oninputdblclick`
`oninputfocus`
`oninputkeydown`
`oninputkeypress`
`oninputkeyup`
`oninputmousedown`
`oninputmousemove`
`oninputmouseout`
`oninputmouseover`
`oninputmouseup`
`oninputselect`
`onshow`
`ontimeselect`
`popup`
`popupClass`
`popupStyle`
`preloadDateRangeBegin`
`preloadDateRangeEnd`
`resetTimeOnDateSelect`
`showApplyButton`
`showFooter`
`showHeader`
`showInput`
`showWeekDaysBar`
`showWeeksBar`
`style`
`styleClass`
`tabindex`
`timeZone`
`todayControlMode`
`verticalOffset`
`weekDayLabels`
`weekDayLabelsShort`
`zindex`

Method Summary
`static UICalendar.Properties` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static UICalendar.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### boundaryDatesMode

    public static final UICalendar.Properties boundaryDatesMode

### buttonClass

    public static final UICalendar.Properties buttonClass

### buttonDisabledIcon

    public static final UICalendar.Properties buttonDisabledIcon

### buttonIcon

    public static final UICalendar.Properties buttonIcon

### buttonLabel

    public static final UICalendar.Properties buttonLabel

### currentDate

    public static final UICalendar.Properties currentDate

### dataModel

    public static final UICalendar.Properties dataModel

### datePattern

    public static final UICalendar.Properties datePattern

### dayClassFunction

    public static final UICalendar.Properties dayClassFunction

### dayDisableFunction

    public static final UICalendar.Properties dayDisableFunction

### defaultLabel

    public static final UICalendar.Properties defaultLabel

### defaultTime

    public static final UICalendar.Properties defaultTime

### direction

    public static final UICalendar.Properties direction

### disabled

    public static final UICalendar.Properties disabled

### enableManualInput

    public static final UICalendar.Properties enableManualInput

### firstWeekDay

    public static final UICalendar.Properties firstWeekDay

### horizontalOffset

    public static final UICalendar.Properties horizontalOffset

### inputClass

    public static final UICalendar.Properties inputClass

### inputSize

    public static final UICalendar.Properties inputSize

### inputStyle

    public static final UICalendar.Properties inputStyle

### jointPoint

    public static final UICalendar.Properties jointPoint

### minDaysInFirstWeek

    public static final UICalendar.Properties minDaysInFirstWeek

### mode

    public static final UICalendar.Properties mode

### monthLabels

    public static final UICalendar.Properties monthLabels

### monthLabelsShort

    public static final UICalendar.Properties monthLabelsShort

### onbeforecurrentdateselect

    public static final UICalendar.Properties onbeforecurrentdateselect

### onbeforedateselect

    public static final UICalendar.Properties onbeforedateselect

### onbeforetimeselect

    public static final UICalendar.Properties onbeforetimeselect

### onchange

    public static final UICalendar.Properties onchange

### onclean

    public static final UICalendar.Properties onclean

### oncomplete

    public static final UICalendar.Properties oncomplete

### oncurrentdateselect

    public static final UICalendar.Properties oncurrentdateselect

### ondatemouseout

    public static final UICalendar.Properties ondatemouseout

### ondatemouseover

    public static final UICalendar.Properties ondatemouseover

### ondateselect

    public static final UICalendar.Properties ondateselect

### onhide

    public static final UICalendar.Properties onhide

### oninputblur

    public static final UICalendar.Properties oninputblur

### oninputchange

    public static final UICalendar.Properties oninputchange

### oninputclick

    public static final UICalendar.Properties oninputclick

### oninputdblclick

    public static final UICalendar.Properties oninputdblclick

### oninputfocus

    public static final UICalendar.Properties oninputfocus

### oninputkeydown

    public static final UICalendar.Properties oninputkeydown

### oninputkeypress

    public static final UICalendar.Properties oninputkeypress

### oninputkeyup

    public static final UICalendar.Properties oninputkeyup

### oninputmousedown

    public static final UICalendar.Properties oninputmousedown

### oninputmousemove

    public static final UICalendar.Properties oninputmousemove

### oninputmouseout

    public static final UICalendar.Properties oninputmouseout

### oninputmouseover

    public static final UICalendar.Properties oninputmouseover

### oninputmouseup

    public static final UICalendar.Properties oninputmouseup

### oninputselect

    public static final UICalendar.Properties oninputselect

### onshow

    public static final UICalendar.Properties onshow

### ontimeselect

    public static final UICalendar.Properties ontimeselect

### popup

    public static final UICalendar.Properties popup

### popupClass

    public static final UICalendar.Properties popupClass

### popupStyle

    public static final UICalendar.Properties popupStyle

### preloadDateRangeBegin

    public static final UICalendar.Properties preloadDateRangeBegin

### preloadDateRangeEnd

    public static final UICalendar.Properties preloadDateRangeEnd

### resetTimeOnDateSelect

    public static final UICalendar.Properties resetTimeOnDateSelect

### showApplyButton

    public static final UICalendar.Properties showApplyButton

### showFooter

    public static final UICalendar.Properties showFooter

### showHeader

    public static final UICalendar.Properties showHeader

### showInput

    public static final UICalendar.Properties showInput

### showWeekDaysBar

    public static final UICalendar.Properties showWeekDaysBar

### showWeeksBar

    public static final UICalendar.Properties showWeeksBar

### style

    public static final UICalendar.Properties style

### styleClass

    public static final UICalendar.Properties styleClass

### tabindex

    public static final UICalendar.Properties tabindex

### timeZone

    public static final UICalendar.Properties timeZone

### todayControlMode

    public static final UICalendar.Properties todayControlMode

### verticalOffset

    public static final UICalendar.Properties verticalOffset

### weekDayLabels

    public static final UICalendar.Properties weekDayLabels

### weekDayLabelsShort

    public static final UICalendar.Properties weekDayLabelsShort

### zindex

    public static final UICalendar.Properties zindex

Method Detail

### values

    public static UICalendar.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UICalendar.Properties c : UICalendar.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UICalendar.Properties valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.